Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# LineRegionsCompactSupport Class Reference
[Handlers]

Inheritance diagram for LineRegionsCompactSupport:

## Detailed Description

Compact Region store implementation based on LineRegionsSupport class.

This class guarantees non-interlaced creation of LineRegion structures in line. Client application can use this class, if it depends on compact style of regions layout. All regions are compacted, except those, marked with special field.

## Protected Member Functions
void | addLineRegion (int lno, LineRegion *ladd)
| This method compacts regions while adding them into list structure.

Colorer-take5 Library. Copyright © 1999-2006 Igor Russkih.
Generated at Fri Nov 24 17:13:13 2006 by doxygen 1.4.6.